API ReferenceCli service
NNO CLI Service API
Backend API for the NNO CLI.
Activate feature
Path Parameters
platformId*string
Request Body
application/json
featureId*string
Length
1 <= lengthversion*string
Length
1 <= lengthconfig?
Default
{}Response Body
application/json
application/json
application/json
curl -X POST "https://cli.svc.nno.app/api/v1/platforms/string/features/activate" \ -H "Content-Type: application/json" \ -d '{ "featureId": "string", "version": "string" }'{
"status": "activated",
"featureId": "string",
"version": "string"
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": null
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": null
}
}Deactivate feature
Path Parameters
platformId*string
Request Body
application/json
featureId*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
curl -X POST "https://cli.svc.nno.app/api/v1/platforms/string/features/deactivate" \ -H "Content-Type: application/json" \ -d '{ "featureId": "string" }'{
"status": "deactivated",
"featureId": "string"
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": null
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": null
}
}Upload built dist/ and trigger CF Pages Direct Upload deploy
Path Parameters
platformId*string
Header Parameters
idempotency-key?string
content-length?string
x-nno-user-id?string
Length
1 <= lengthx-nno-deploy-branch?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://cli.svc.nno.app/api/v1/platforms/string/deploy"{
"deploymentId": "string",
"status": "string",
"projectName": "string"
}{
"deploymentId": "string",
"status": "string",
"projectName": "string"
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": null
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": null
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": null
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": null
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": null
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": null
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": null
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": null
}
}Get deployment status (polls CF for non-terminal states)
Path Parameters
platformId*string
deploymentId*string
Response Body
application/json
application/json
application/json
curl -X GET "https://cli.svc.nno.app/api/v1/platforms/string/deployments/string"{
"deploymentId": "string",
"status": "string",
"cfDeploymentId": "string",
"url": "string",
"startedAt": 0,
"completedAt": 0,
"errorMessage": "string"
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": null
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": null
}
}Provision secrets
Path Parameters
platformId*string
Request Body
application/json
secrets*
Response Body
application/json
application/json
application/json
curl -X POST "https://cli.svc.nno.app/api/v1/platforms/string/secrets" \ -H "Content-Type: application/json" \ -d '{ "secrets": { "property1": "string", "property2": "string" } }'{
"platformId": "string",
"results": {
"property1": "ok",
"property2": "ok"
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": null
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": null
}
}